CMSIS-DSP: Globals

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- arm_scale_f32() : arm_math.h , arm_scale_f32.c
- arm_scale_q15() : arm_math.h , arm_scale_q15.c
- arm_scale_q31() : arm_math.h , arm_scale_q31.c
- arm_scale_q7() : arm_math.h , arm_scale_q7.c
- arm_shift_q15() : arm_math.h , arm_shift_q15.c
- arm_shift_q31() : arm_math.h , arm_shift_q31.c
- arm_shift_q7() : arm_math.h , arm_shift_q7.c
- arm_sin_cos_f32() : arm_math.h , arm_sin_cos_f32.c
- arm_sin_cos_q31() : arm_math.h , arm_sin_cos_q31.c
- arm_sin_f32() : arm_math.h , arm_sin_f32.c
- arm_sin_q15() : arm_math.h , arm_sin_q15.c
- arm_sin_q31() : arm_math.h , arm_sin_q31.c
- arm_snr_f32() : arm_signal_converge_example/math_helper.c , arm_signal_converge_example/math_helper.h , arm_convolution_example/math_helper.c , arm_convolution_example/math_helper.h , arm_fir_example/math_helper.c , arm_fir_example/math_helper.h , arm_graphic_equalizer_example/math_helper.c , arm_graphic_equalizer_example/math_helper.h , arm_linear_interp_example/math_helper.c , arm_linear_interp_example/math_helper.h , arm_matrix_example/math_helper.c , arm_matrix_example/math_helper.h
- arm_sokalmichener_distance() : arm_math.h , arm_sokalmichener_distance.c
- arm_sokalsneath_distance() : arm_math.h , arm_sokalsneath_distance.c
- arm_sort_alg : arm_math.h
- arm_sort_dir : arm_math.h
- arm_sort_f32() : arm_math.h , arm_sort_f32.c
- arm_sort_init_f32() : arm_math.h , arm_sort_init_f32.c
- arm_spline_f32() : arm_math.h , arm_spline_interp_f32.c
- arm_spline_init_f32() : arm_math.h , arm_spline_interp_init_f32.c
- arm_spline_type : arm_math.h
- arm_split_rfft_f32() : arm_rfft_f32.c
- arm_split_rfft_q15() : arm_rfft_q15.c
- arm_split_rfft_q31() : arm_rfft_q31.c
- arm_split_rifft_f32() : arm_rfft_f32.c
- arm_split_rifft_q15() : arm_rfft_q15.c
- arm_split_rifft_q31() : arm_rfft_q31.c
- arm_sqrt_f32() : arm_math.h
- arm_sqrt_q15() : arm_math.h
- arm_sqrt_q31() : arm_math.h
- arm_status : arm_math.h
- arm_std_f32() : arm_math.h , arm_std_f32.c
- arm_std_q15() : arm_math.h , arm_std_q15.c
- arm_std_q31() : arm_math.h , arm_std_q31.c
- arm_sub_f32() : arm_math.h , arm_sub_f32.c
- arm_sub_q15() : arm_sub_q15.c , arm_math.h
- arm_sub_q31() : arm_math.h , arm_sub_q31.c
- arm_sub_q7() : arm_sub_q7.c , arm_math.h
- arm_svm_linear_init_f32() : arm_math.h , arm_svm_linear_init_f32.c
- arm_svm_linear_predict_f32() : arm_math.h , arm_svm_linear_predict_f32.c
- arm_svm_polynomial_init_f32() : arm_svm_polynomial_init_f32.c , arm_math.h
- arm_svm_polynomial_predict_f32() : arm_svm_polynomial_predict_f32.c , arm_math.h
- arm_svm_rbf_init_f32() : arm_svm_rbf_init_f32.c , arm_math.h
- arm_svm_rbf_predict_f32() : arm_math.h , arm_svm_rbf_predict_f32.c
- arm_svm_sigmoid_init_f32() : arm_svm_sigmoid_init_f32.c , arm_math.h
- arm_svm_sigmoid_predict_f32() : arm_math.h , arm_svm_sigmoid_predict_f32.c
- S : arm_bayes_example_f32.c
- set() : Examples/ARM/arm_matrix_example/CMakeLists.txt , Examples/ARM/arm_signal_converge_example/CMakeLists.txt , Examples/ARM/arm_fir_example/CMakeLists.txt , Examples/ARM/arm_bayes_example/CMakeLists.txt , Examples/ARM/arm_sin_cos_example/CMakeLists.txt , Examples/ARM/arm_variance_example/CMakeLists.txt , Examples/ARM/arm_svm_example/CMakeLists.txt , Examples/ARM/arm_linear_interp_example/CMakeLists.txt , Examples/ARM/arm_class_marks_example/CMakeLists.txt , Examples/ARM/arm_convolution_example/CMakeLists.txt , Examples/ARM/arm_dotproduct_example/CMakeLists.txt , Examples/ARM/arm_fft_bin_example/CMakeLists.txt , Examples/ARM/arm_graphic_equalizer_example/CMakeLists.txt
- sigma : arm_bayes_example_f32.c
- sinOutput : arm_sin_cos_example_f32.c
- sinSquareOutput : arm_sin_cos_example_f32.c
- sinTable_f32 : arm_common_tables.h , arm_common_tables.c
- sinTable_q15 : arm_common_tables.c , arm_common_tables.h
- sinTable_q31 : arm_common_tables.c , arm_common_tables.h
- snr : arm_matrix_example_f32.c , arm_convolution_example_f32.c , arm_fir_example_f32.c , arm_graphic_equalizer_example_q31.c
- snr1 : arm_linear_interp_example_f32.c
- snr2 : arm_linear_interp_example_f32.c
- SNR_THRESHOLD : arm_linear_interp_example_f32.c , arm_convolution_example_f32.c , arm_matrix_example_f32.c
- SNR_THRESHOLD_F32 : arm_graphic_equalizer_example_q31.c , arm_fir_example_f32.c
- SQ : arm_math.h
- srcA_buf_f32 : arm_dotproduct_example_f32.c
- srcALen : arm_convolution_example_f32.c
- srcB_buf_f32 : arm_dotproduct_example_f32.c
- srcBLen : arm_convolution_example_f32.c
- stage_rfft_f32() : arm_rfft_fast_f32.c
- stage_rfft_f64() : arm_rfft_fast_f64.c
- status : arm_dotproduct_example_f32.c , arm_sin_cos_example_f32.c
- std : arm_class_marks_example_f32.c
- STEP : arm_math.h
- student_num : arm_class_marks_example_f32.c
- supportVectors : arm_svm_example_f32.c